/*
 *  OpenPrinting Vector Printer Driver for Canon Pixus850i
 *  Copyright (c) 2004 E&D Inc.
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

/* $Revision: 1.2 $ */

#ifndef _BJPDEFS_H
#define _BJPDEFS_H

enum {
	BJP_BIN_DITHER = 0,
	BJP_BIN_ED,
	BJP_BIN_MAX,
	BJP_BIN_NA
};

#define BJP_GAMMA_14		2
#define BJP_MARGIN_NORMAL	0
#define BJP_PGAP_CMD_NA		3
#define BJP_SMOOTH_NA		3
#define BJP_ST_RGB24		0
#define BJP_TIME_CORRECT	0

#define BJP_UIBIN_PATTERN	0
#define BJP_UIBIN_V_PATTERN	2
#define BJP_UIBIN_PATTERN_HS	1
#define BJP_UIBIN_ED		3
#define BJP_UIBIN_NA		4
#define BJP_UIBIN_MAX		5

#define BJP_WL_WHITE		0
#define BJP_WL_NOTWHITE		1

#define BJPID_INPUT_GAMMA	24
#define BJPID_PAPERSIZE		8
#define BJPID_MEDIATYPE		0
#define BJPID_PRINTQUALITY	1
#define BJPID_MEDIASUPPLY	3
#define BJPID_PAPERGAP_COMMAND	27
#define BJPID_DITHER_PAT	14
#define BJPID_BANNER		16
#define BJPID_CARTRIDGE		17
#define BJPID_GRAYSCALE		18
#define BJPID_MARGINTYPE	25
#define BJPID_OK		0

#endif /* _BJPDEFS_H */

