/**
 * @file  bscc2XML.h
 * @brief Header file of bscc to XML functions
 *
 * @date 2004/02/12
 * @version 1.0.0
 *
 * Copyright (c) 2002-2004, BBR Co.Ltd., All rights reserved.
 */
/*
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef _BSCC2XML_H
#define _BSCC2XML_H

/* definitions of constants */
// 顼
/** ϥեɤ߹ߥ顼 */
#define ERR_FILE_READ   2
/** ϥեΥեޥåȤBSCCǡǤϤʤ */
#define ERR_FILE_FORMAT 3

// buffer size
/** BSCCǡɤ߹ߥХåե */
#define BSCC_BUF_SIZE   512


/* declarations of ... */
/* ץ󥿤ץ󥿥ơɤ߽ФXML(PrinterMIB)ѴϤ롣 */
//int bscc2XML(int readFd, int writeFd, char *xmlBuffer, int xmlBufferSize);

/* ץ󥿥ơ̵֤ͭϤ롣 */
int isPrinting(bscc2sts_tbl *pSts);

/* ץ󥿤ץ󥿥ơɤ߽Ф bscc2sts_tbl롣*/
int genSts(char *printerName, int readFd, int writeFd, bscc2sts_tbl *pSts);

/* ץ󥿤ɽФ椷ץ󥿥ơɤ߽Ф */
static int readControl(int readFd, int writeFd, char *bscc, int bsccSize);

/* PIXUS 850iץ󥿤饹ơƤӽФν */
static int setupBscc(int fd);

#endif // _BSCC2XML_H
